# Spec file for xvidcap + gvidcap.

Summary: Gvidcap combines a gtk2 frontend with the basic xvidcap package
Name: gvidcap
Version: 1.1.3
Release: 1
License: GPL
Source0: %{name}-%{version}.tar.bz2
Source1: ppm2mpeg
Patch0: xvidcap-1.1.3-ffmpeg-0.4.9.patch
Patch1: xvidcap-1.1.3-yuv420.patch
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://xvidcap.sourceforge.net
BuildPrereq: zlib-devel 
BuildPrereq: libjpeg-devel 
BuildPrereq: libpng-devel 
BuildPrereq: ffmpeg-devel >= 0.4.9
Requires: gawk
Requires: gtk2
Requires: zlib
Requires: ffmpeg >= 0.4.9
Conflicts: xvidcap

%description
Gvidcap combines the basic xvidcap package with a gtk2 frontend. Xvidcap is
a screen capture utility that enables you to capture videos (or image
sequences) off your X display for illustration or documentation purposes.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --with-gtk2
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
# The rpm_opt_flags is a specified directory on linux distro's which contain flags which
# optimise it for your machine/distro (I think!). Not necessary, but might be useful.

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Undo the doc installation, we will put it in fedora's default doc directory below
rm -rf $RPM_BUILD_ROOT%{_docdir}/xvidcap_%{version}

%{__install} -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
# Mark these as documentation (paths are rel. to build_root)
# RPM puts documentation in /usr/share/doc/name-version
%doc README TODO NEWS INSTALL AUTHORS ChangeLog
# Executables and man pages
%{_bindir}/xvidcap
%{_bindir}/gvidcap
%{_bindir}/ppm2mpeg
%{_mandir}/man1/xvidcap.1*
%{_mandir}/man1/gvidcap.1*

%changelog
* Wed Aug 24 2005 Peter Hanecak <hanecak@megaloman.sk> 1.1.3-1
- adapted to Doors Linux:
  - .bz2 source archiv
  - %%{_tmppath} used for build root
  - %%{?_smp_mflags} used with 'make'
  - etc.
- ffmpeg 0.4.9 patch
- added ppm2mpeg from xvidcap's CVS

* Sun May 10 2004 Snorri <snorri_dj@operamail.com>
- First fedora build of gvidcap

